#!/usr/bin/env perl

use v5.36;
use Image::Magick;

unless ($ARGV[0]) {
    say "give me image file, e.g.: $0 goatse.jpeg";
    exit 64;
}

my $p    = Image::Magick->new;
my $file = $ARGV[0];

$p->Read($file);

# Write to STDOUT instead of file
binmode STDOUT;
$p->Write('avif:-');
